-- CA Current Capacity Reporter (CCR) v1.5 Storage Reporting Module										  	 --> 
-- MySQL_STORAGE_CORE.sql file is associated with STORAGE_CORE.XML file								  		 -->
-- The following SQL file creates views specific to General Storage Views  							  		 --> 
-- including: 																								 -->		
-- 1. Filer Capacity & Performance																		     -->
-- 2. Volume Capacity & Performance 																		 -->
-- 3. LUN Capacity & Performance																			 -->	
-- 4. Storage Trend Reports																					 -->
-- 5. Storage Allocation Reports			 																 -->

-- Storage Reporting Module automatically selects a range of controld ID's from 1020000 - 1020299			 -->
-- Storage Reporting Module automatically selects a range of MENU ID's from 4400160 - 4400189 				 -->

use NetQoSPortal;
-- ------------------ --
-- Global Params      --
-- ------------------ --

set @firstControlID := 1020299;
set @firstMenuID := 4400160;
set @controlID := 0;



-- ------------------ --
-- Control IDs        --
-- ------------------ --
DELETE FROM controls where ID >= @firstControlID and ID <= @firstControlID+299;

-- Put all controls at head of file and control properties later
REPLACE INTO controls 
(Id,				Title, 														GraphType,		ControlCategory, Filepath, 								 ControlType, DataSourceType, Timeframe, PageContexts, 		 DefaultCfgString, Enabled) VALUES
(@firstControlID,	  'Storage System Details',									'Graph',	'Storage Reports',	'/nqWidgets/Integration/wicTable.ascx',			1,			0x80000, 		2,			'|nc|',					'',			'Y'),
(@firstControlID+1,	'Storage Aggregates',										'Graph',	'Storage Reports',	'/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|nc|',					'',			'Y'),
(@firstControlID+2,	'Aggregate List by Storage System',							'Graph',	'Storage Reports',	'/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|storagesysdetail|',	'',			'Y'),
(@firstControlID+3, 'Storage Volumes', 											'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx', 		1,  		0x80000, 		2,  		'|nc|',					'',			'Y'),
(@firstControlID+4, 'Volume List by Storage System',							'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx', 		1, 			0x80000, 		2,  		'|storagesysdetail|',	'',			'Y'),
(@firstControlID+5,	'Volume List by Aggregate',									'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|aggregatedetail|',	'',			'Y'),
(@firstControlID+6,	'Storage LUNs',												'Graph',	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|nc|', 	 			'', 		'Y'),
(@firstControlID+7, 'LUN List by Storage System',								'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|storagesysdetail|',	'',			'Y'),
(@firstControlID+8, 'LUN List by Aggregate',			 						'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1, 			0x80000, 		2, 			'|aggregatedetail|', 	 	'', 		'Y'),
(@firstControlID+9,	'Storage Trends (Aggregates)',								'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|nc|',					'',			'Y'),
(@firstControlID+10,'Storage Trend by Aggregate',								'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|aggregatedetail|',	'',			'Y'),
(@firstControlID+11,'Storage Trends (Volumes)',									'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|nc|',			'',			'Y'),
(@firstControlID+12,'Storage Trend by Volume',									'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|volumedetail|',		'',			'Y'),
(@firstControlID+13,'Storage Trend by LUN',										'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|lundetail|',					'',			'Y'),
-- (@firstControlID+14,'Storage Trends (Aggregates)',								'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|nc|',					'',			'Y'),
(@firstControlID+15,'Aggregate Trends by Storage System',						'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|storagesysdetail|',	'',			'Y'),
(@firstControlID+16,'Average Latency by LUN',									'Line', 	'Storage Reports', '/nqWidgets/Integration/wicTrend.ascx',			1,			0x80000,		2,			'|lundetail|',			'',			'Y'),
(@firstControlID+17,'Total Operations by LUN',									'Line', 	'Storage Reports', '/nqWidgets/Integration/wicTrend.ascx',			1,			0x80000,		2,			'|lundetail|',			'',			'Y'),
(@firstControlID+18,'Total Bytes/Sec by LUN ',									'Line', 	'Storage Reports', '/nqWidgets/Integration/wicTrend.ascx',			1,			0x80000,		2,			'|lundetail|',			'',			'Y'),
(@firstControlID+19,'Average Latency by Volume',								'Line', 	'Storage Reports', '/nqWidgets/Integration/wicTrend.ascx',			1,			0x80000,		2,			'|volumedetail|',		'',			'Y'),
(@firstControlID+20,'Total Operations by Volume',								'Line', 	'Storage Reports', '/nqWidgets/Integration/wicTrend.ascx',			1,			0x80000,		2,			'|volumedetail|',		'',			'Y'),
(@firstControlID+21,'Total Byte Rate by Volume',								'Line', 	'Storage Reports', '/nqWidgets/Integration/wicTrend.ascx',			1,			0x80000,		2,			'|volumedetail|',		'',			'Y'),
(@firstControlID+22,'Average Latency by Storage System',						'Line', 	'Storage Reports', '/nqWidgets/Integration/wicTrend.ascx',			1,			0x80000,		2,			'|storagesysdetail|',	'',			'Y'),
(@firstControlID+23,'Total Byte Rate by Storage System',						'Line', 	'Storage Reports', '/nqWidgets/Integration/wicTrend.ascx',			1,			0x80000,		2,			'|storagesysdetail|',	'',			'Y'),
(@firstControlID+24,'Total Operations by Storage System',						'Line', 	'Storage Reports', '/nqWidgets/Integration/wicTrend.ascx',			1,			0x80000,		2,			'|storagesysdetail|',	'',			'Y'),
(@firstControlID+25,'CPU Utilization by Storage System',						'Line', 	'Storage Reports', '/nqWidgets/Integration/wicTrend.ascx',			1,			0x80000,		2,			'|storagesysdetail|',	'',			'Y'),
(@firstControlID+26,'Queue Length by LUN',										'Line', 	'Storage Reports', '/nqWidgets/Integration/wicTrend.ascx',			1,			0x80000,		2,			'|lundetail|',			'',			'Y'),
(@firstControlID+27,'Top Latency by LUN(ms)',									'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|nc|',					'',			'Y'),
(@firstControlID+28,'Bottom Latency by LUN(ms)',								'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|nc|',					'',			'Y'),
(@firstControlID+29,'Top Latency by Volume(ms)',								'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|nc|',					'',			'Y'),
(@firstControlID+30,'Bottom Latency by Volume(ms)',								'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|nc|',					'',			'Y'),
(@firstControlID+31,'Volume Trends by Storage System',							'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|storagesysdetail|',	'',			'Y'),
(@firstControlID+32,'LUN Trends by Storage System',								'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|storagesysdetail|',	'',			'Y'),
(@firstControlID+33, 'LUN List by Volume',				 						'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1, 			0x80000, 		2, 			'|volumedetail|', 	 	'', 		'Y'),
(@firstControlID+34,'LUN Trend All',											'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTrend.ascx',			1,			0x80000,		2,			'|nc|',					'',			'Y'),
(@firstControlID+35,'LUN Allocation Report (Stacked Bar)',						'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|nc|',					'',			'Y'),
(@firstControlID+36,'LUN Trend GB Used',										'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTrend.ascx',			1,			0x80000,		2,		'|lundetail|',			'',			'Y'),
(@firstControlID+37,'LUN Upgrade History (group)',								'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|nc|',					'',			'Y'),
(@firstControlID+38,'LUN Upgrade History',										'Graph', 	'Storage Reports', '/nqWidgets/Integration/wicTable.ascx',			1,			0x80000,		2,			'|nc|',					'',			'Y');

-- ------------------------- --
-- Control Properties        --
-- ------------------------- --
-- All control property records use @controlID
-- Just need to set @controlID using controls.Title at head of each table

-- Replace into does not delete control_properties no longer required (eg. Y-Axix Max, ...)
DELETE from control_properties where ControlID >= @firstControlID and ControlID <= @firstControlID+299;

-- Table 'Storage System Details'
-- (@firstControlID
select @controlID := ID from controls where Title = 'Storage System Details';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N', 'Integration.Parameter.Demo', 			'False'),
(@controlID,	'N', 'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID,	'N', 'ColumnWidths', 						'15%,15%,10%,10%,15%,15%'),
(@controlID,	'N', 'DisplayColumns', 						'filer_name;DATASOURCE_TYPE;total_aggr;total_disks;total_vol;total_lun'),
(@controlID,	'N', 'DisplayNames', 						'Storage System,Data Source,Aggregates,Disks,Volumes,LUNs'),
(@controlID,	'N', 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID,	'N', 'DisplayFormats', 						'string,string,float,float,float,float'),
(@controlID,	'N', 'HorizontalAlignments', 				'Left,Center,Center,Center,Center,Center'),
(@controlID,	'N', 'NoDataLabel', 							'There is no data during this time period.'),
(@controlID,	'N', 'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID,	'N', 'Hyperlinks', 							'default.aspx?pg=storagesysdetail&storagesys={FILER_NAME},,,,,'),
(@controlID,	'N', 'ShowFilter', 							'True'),
(@controlID,	'N', 'SortDirection', 						'Desc'),
(@controlID,	'N', 'SortField', 							'filer_name'),
(@controlID,	'N', 'Title', 								'Storage System Details'),
(@controlID,	'N', 'Integration.DataType', 				'SelectCommand'),
(@controlID,	'N', 'Integration.Parameter.SelectCommandName', 'storagesyslist');



-- Table 'Storage Aggregates'  
-- (@firstControlID+1
select @controlID := ID from controls where Title = 'Storage Aggregates';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N', 'Integration.Parameter.Demo', 			'False'),
(@controlID,	'N', 'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID,	'N', 'ColumnWidths', 						'15%,15%,10%,10%,15%,15%,15%,15%'),
(@controlID,	'N', 'DisplayColumns', 						'entity_name;filer;volumes;disks;total;used;available;used_perc'),
(@controlID,	'N', 'DisplayNames', 						'Aggregate,Storage System,Total Volumes,Total Disks,Total Storage(GB),Used Storage(GB),Available Storage(GB),GB Used(%)'),
(@controlID,	'N', 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID,	'N', 'DisplayFormats', 						'string,string,float,float,float,float,float,float'),
(@controlID,	'N', 'HorizontalAlignments', 				'Left,Center,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N', 'NoDataLabel', 							'There is no data during this time period.'),
(@controlID,	'N', 'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID,	'N', 'Hyperlinks', 							'default.aspx?pg=aggregatedetail&aggregate={ENTITY_NAME},,,,,,,'),
(@controlID,	'N', 'ShowFilter', 							'True'),
(@controlID,	'N', 'SortDirection', 						'Desc'),
(@controlID,	'N', 'SortField', 							'volumes'),
(@controlID,	'N', 'Title', 								'Storage Aggregates'),
(@controlID,	'N', 'Integration.DataType', 				'SelectCommand'),
(@controlID,	'N', 'Integration.Parameter.SelectCommandName', 'aggregatelist');

-- Table 'Aggregate List by Storage System'
-- (@firstControlID+2
select @controlID := ID from controls where Title = 'Aggregate List by Storage System';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N', 'Integration.Parameter.Demo', 			'False'),
(@controlID,	'N', 'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID,	'N', 'ColumnWidths', 						'15%,15%,10%,10%,15%,15%,15%,15%'),
(@controlID,	'N', 'DisplayColumns', 						'entity_name;filer;volumes;disks;total;used;available;used_perc'),
(@controlID,	'N', 'DisplayNames', 						'Aggregate,Storage System,Total Volumes,Total Disks,Total Storage(GB),Used Storage(GB),Available Storage(GB),GB Used(%)'),
(@controlID,	'N', 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID,	'N', 'DisplayFormats', 						'string,string,float,float,float,float,float,float'),
(@controlID,	'N', 'HorizontalAlignments', 				'Left,Center,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N', 'NoDataLabel', 							'There is no data during this time period.'),
(@controlID,	'N', 'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID,	'N', 'Hyperlinks', 							'default.aspx?pg=aggregatedetail&aggregate={ENTITY_NAME},,,,,,,'),
(@controlID,	'N', 'ShowFilter', 							'True'),
(@controlID,	'N', 'SortDirection', 						'Desc'),
(@controlID,	'N', 'SortField', 							'volumes'),
(@controlID,	'N', 'Title', 								'Aggregates - {storagesys}'),
(@controlID,	'N', 'Integration.DataType', 				'SelectCommand'),
(@controlID,	'N', 'Integration.Parameter.SelectCommandName', 'aggregatelistbystoragesys');

-- Table 'Storage Volumes'
-- (@firstControlID+3
select @controlID := ID from controls where Title = 'Storage Volumes';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N', 'Integration.Parameter.Demo', 			'False'),
(@controlID,	'N', 'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID,	'N', 'ColumnWidths', 						'15%,10%,10%,10%,10%,10%,15%,15%,15%'),
(@controlID,	'N', 'DisplayColumns', 						'entity_name;aggregate;filer;disks;plex;total;used;available;used_perc'),
(@controlID,	'N', 'DisplayNames', 						'Volume,Aggregate,Storage System,Total Disks,Total Plex(s),Total Storage(GB),Used Storage(GB),Available Storage(GB), GB Used(%)'),
(@controlID,	'N', 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID,	'N', 'DisplayFormats', 						'string,string,string,float,float,float,float,float,float'),
(@controlID,	'N', 'HorizontalAlignments', 				'Left,Center,Center,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N', 'NoDataLabel', 							'There is no data during this time period.'),
(@controlID,	'N', 'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID,	'N', 'Hyperlinks', 							'default.aspx?pg=volumedetail&volume={ENTITY_NAME},,,,,,,,'),
(@controlID,	'N', 'ShowFilter', 							'True'),
(@controlID,	'N', 'SortDirection', 						'Desc'),
(@controlID,	'N', 'SortField', 							'entity_name'),
(@controlID,	'N', 'Title', 								'Storage Volumes'),
(@controlID,	'N', 'Integration.DataType', 				'SelectCommand'),
(@controlID,	'N', 'Integration.Parameter.SelectCommandName', 'volumelist');


-- Table 'Volume List by Storage System'
-- (@firstControlID+4
select @controlID := ID from controls where Title = 'Volume List by Storage System';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N', 'Integration.Parameter.Demo', 			'False'),
(@controlID,	'N', 'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID,	'N', 'ColumnWidths', 						'15%,10%,10%,10%,10%,10%,15%,15%,15%'),
(@controlID,	'N', 'DisplayColumns', 						'entity_name;aggregate;filer;disks;plex;total;used;available;used_perc'),
(@controlID,	'N', 'DisplayNames', 						'Volume,Aggregate,Storage System,Total Disks,Total Plex(s),Total Storage(GB),Used Storage(GB),Available Storage(GB), GB Used(%)'),
(@controlID,	'N', 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID,	'N', 'DisplayFormats', 						'string,string,string,float,float,float,float,float,float'),
(@controlID,	'N', 'HorizontalAlignments', 				'Left,Center,Center,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N', 'NoDataLabel', 							'There is no data during this time period.'),
(@controlID,	'N', 'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID,	'N', 'Hyperlinks', 							'default.aspx?pg=volumedetail&volume={ENTITY_NAME},,,,,,,,'),
(@controlID,	'N', 'ShowFilter', 							'True'),
(@controlID,	'N', 'SortDirection', 						'Desc'),
(@controlID,	'N', 'SortField', 							'entity_name'),
(@controlID,	'N', 'Title', 								'Volumes - {storagesys}'),
(@controlID,	'N', 'Integration.DataType', 				'SelectCommand'),
(@controlID,	'N', 'Integration.Parameter.SelectCommandName', 'volumelistbystoragesys');


-- Table 'Volume List by Aggregate'
-- (@firstControlID+5
select @controlID := ID from controls where Title = 'Volume List by Aggregate';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N', 'Integration.Parameter.Demo', 			'False'),
(@controlID,	'N', 'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID,	'N', 'ColumnWidths', 						'15%,10%,10%,10%,10%,10%,15%,15%,15%'),
(@controlID,	'N', 'DisplayColumns', 						'entity_name;aggregate;filer;disks;plex;total;used;available;used_perc'),
(@controlID,	'N', 'DisplayNames', 						'Volume,Aggregate,Storage System,Total Disks,Total Plex(s),Total Storage(GB),Used Storage(GB),Available Storage(GB), GB Used(%)'),
(@controlID,	'N', 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID,	'N', 'DisplayFormats', 						'string,string,string,float,float,float,float,float,float'),
(@controlID,	'N', 'HorizontalAlignments', 				'Left,Center,Center,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N', 'NoDataLabel', 							'There is no data during this time period.'),
(@controlID,	'N', 'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID,	'N', 'Hyperlinks', 							'default.aspx?pg=volumedetail&volume={ENTITY_NAME},,,,,,,,'),
(@controlID,	'N', 'ShowFilter', 							'True'),
(@controlID,	'N', 'SortDirection', 						'Desc'),
(@controlID,	'N', 'SortField', 							'entity_name'),
(@controlID,	'N', 'Title', 								'Volumes - {aggregate}'),
(@controlID,	'N', 'Integration.DataType', 				'SelectCommand'),
(@controlID,	'N', 'Integration.Parameter.SelectCommandName', 'volumelistbyaggregate');

-- Table 'Storage LUNs'
-- (@firstControlID+6
select @controlID := ID from controls where Title = 'Storage LUNs';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N', 'Integration.Parameter.Demo', 			'False'),
(@controlID,	'N', 'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID,	'N', 'ColumnWidths', 						'15%,15%,10%,10%,15%,15%,15%'),
(@controlID,	'N', 'DisplayColumns', 						'entity_name;filer;volume;total;used;available;used_perc'),
(@controlID,	'N', 'DisplayNames', 						'LUN,Storage System,Volume,Total Storage(GB),Used Storage(GB),Available Storage(GB),GB Used(%)'),
(@controlID,	'N', 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID,	'N', 'DisplayFormats', 						'string,string,string,float,float,float,float'),
(@controlID,	'N', 'HorizontalAlignments', 				'Left,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N', 'NoDataLabel', 							'There is no data during this time period.'),
(@controlID,	'N', 'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID,	'N', 'Hyperlinks', 							'default.aspx?pg=lundetail&lun={ENTITY_NAME},,,,,,'),
(@controlID,	'N', 'ShowFilter', 							'True'),
(@controlID,	'N', 'SortDirection', 						'Desc'),
(@controlID,	'N', 'SortField', 							'entity_name'),
(@controlID,	'N', 'Title', 								'Storage LUNs'),
(@controlID,	'N', 'Integration.DataType', 				'SelectCommand'),
(@controlID,	'N', 'Integration.Parameter.SelectCommandName', 'lunlist');

-- Table 'LUN List by Storage System'
-- @firstControlID+7
select @controlID := ID from controls where Title = 'LUN List by Storage System';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID,	'N', 'Integration.Parameter.Demo', 			'False'),
(@controlID,	'N', 'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID,	'N', 'ColumnWidths', 						'15%,15%,10%,10%,15%,15%,15%'),
(@controlID,	'N', 'DisplayColumns', 						'entity_name;filer;volume;total;used;available;used_perc'),
(@controlID,	'N', 'DisplayNames', 						'LUN,Storage System,Volume,Total Storage(GB),Used Storage(GB),Available Storage(GB),GB Used(%)'),
(@controlID,	'N', 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID,	'N', 'DisplayFormats', 						'string,string,string,float,float,float,float'),
(@controlID,	'N', 'HorizontalAlignments', 				'Left,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N', 'NoDataLabel', 							'There is no data during this time period.'),
(@controlID,	'N', 'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID,	'N', 'Hyperlinks', 							'default.aspx?pg=lundetail&lun={ENTITY_NAME},,,,,,'),
(@controlID,	'N', 'ShowFilter', 							'True'),
(@controlID,	'N', 'SortDirection', 						'Desc'),
(@controlID,	'N', 'SortField', 							'entity_name'),
(@controlID,	'N', 'Title', 								'LUNs - {storagesys}'),
(@controlID,	'N', 'Integration.DataType', 				'SelectCommand'),
(@controlID,	'N', 'Integration.Parameter.SelectCommandName', 'lunlistbystoragesys');


-- Table 'LUN List by Aggregate'
-- (@firstControlID+8
select @controlID := ID from controls where Title = 'LUN List by Aggregate';
REPLACE INTO control_properties 
(ControlID,  Editable,			PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N', 'Integration.Parameter.Demo', 			'False'),
(@controlID,	'N', 'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID,	'N', 'ColumnWidths', 						'15%,15%,10%,10%,15%,15%,15%'),
(@controlID,	'N', 'DisplayColumns', 						'entity_name;filer;volume;total;used;available;used_perc'),
(@controlID,	'N', 'DisplayNames', 						'LUN,Storage System,volume,Total Storage(GB),Used Storage(GB),Available Storage(GB),GB Used(%)'),
(@controlID,	'N', 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID,	'N', 'DisplayFormats', 						'string,string,string,float,float,float,float'),
(@controlID,	'N', 'HorizontalAlignments', 				'Left,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N', 'NoDataLabel', 							'There is no data during this time period.'),
(@controlID,	'N', 'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID,	'N', 'Hyperlinks', 							'default.aspx?pg=lundetail&lun={ENTITY_NAME},,,,,,'),
(@controlID,	'N', 'ShowFilter', 							'True'),
(@controlID,	'N', 'SortDirection', 						'Desc'),
(@controlID,	'N', 'SortField', 							'entity_name'),
(@controlID,	'N', 'Title', 								'LUNs - {aggregate}'),
(@controlID,	'N', 'Integration.DataType', 				'SelectCommand'),
(@controlID,	'N', 'Integration.Parameter.SelectCommandName', 'lunlistbyaggregate');

-- Table 'Storage Trends (Aggregates)'
--	(@firstControlID+9
select @controlID := ID from controls where Title = 'Storage Trends (Aggregates)';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N',	'ColumnWidths',								'20%,16%,5%,16%,16%,16%,16%'),
(@controlID,	'N',	'DisplayColumns',							'entity_name;currentwarning;slopeflag;days_to_threshold;Adaywarning;Bdaywarning;Cdaywarning'),
(@controlID,	'N',	'DisplayFormats',							'string,string,string,float,string,string,string'),
(@controlID,	'N',	'DisplayNames',								'Aggregate,Current State,Trend,Days to Threshold,30 days,60 days,90 days'),
(@controlID,	'N',	'HorizontalAlignments',						'Left,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N',	'Hyperlinks',								'default.aspx?pg=aggregatedetail&aggregate={entity_name},,,,,,'),
(@controlID,	'N',	'Integration.DataType',						'SelectCommand'),
(@controlID,	'N',	'Integration.EnableUtcStartAndEndTimes',	'True'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',		'True'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',		'yyyyMMddHHmm'),
(@controlID,	'N',	'Integration.Parameter.Demo',				'False'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',	'aggregate_days_to_threshold_used_perc'),
(@controlID,	'N',	'NoDataLabel',								'There is no data during this time period.'),
(@controlID,	'N',	'ShowFilter',								'True'),
(@controlID,	'N',	'SortDirection',							'asc'),
(@controlID,	'N',	'SortField',								'days_to_threshold'),
(@controlID,	'N',	'Title',									'Storage Trends (Aggregates)');


-- Table 'Storage Trend by Aggregate'
--	(@firstControlID+10
select @controlID := ID from controls where Title = 'Storage Trend by Aggregate';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N',	'ColumnWidths',								'20%,16%,5%,16%,16%,16%,16%'),
(@controlID,	'N',	'DisplayColumns',							'entity_name;currentwarning;slopeflag;days_to_threshold;Adaywarning;Bdaywarning;Cdaywarning'),
(@controlID,	'N',	'DisplayFormats',							'string,string,string,float,string,string,string'),
(@controlID,	'N',	'DisplayNames',								'Aggregate,Current State,Trend,Days to Threshold,30 days,60 days,90 days'),
(@controlID,	'N',	'HorizontalAlignments',						'Left,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N',	'Hyperlinks',								'default.aspx?pg=aggregatedetail&aggregate={entity_name},,,,,,'),
(@controlID,	'N',	'Integration.DataType',						'SelectCommand'),
(@controlID,	'N',	'Integration.EnableUtcStartAndEndTimes',	'True'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',		'True'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',		'yyyyMMddHHmm'),
(@controlID,	'N',	'Integration.Parameter.Demo',				'False'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',	'aggregate_days_to_threshold_used_perc_byaggregate'),
(@controlID,	'N',	'NoDataLabel',								'There is no data during this time period.'),
(@controlID,	'N',	'ShowFilter',								'True'),
(@controlID,	'N',	'SortDirection',							'asc'),
(@controlID,	'N',	'SortField',								'days_to_threshold'),
(@controlID,	'N',	'Title',									'Storage Trend - {aggregate}');


-- Table 'Storage Trends (Volumes)'
-- (@firstControlID+11
select @controlID := ID from controls where Title = 'Storage Trends (Volumes)';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID,	'N',	'ColumnWidths',								'20%,16%,5%,16%,16%,16%,16%'),
(@controlID,	'N',	'DisplayColumns',							'entity_name;currentwarning;slopeflag;days_to_threshold;Adaywarning;Bdaywarning;Cdaywarning'),
(@controlID,	'N',	'DisplayFormats',							'string,string,string,float,string,string,string'),
(@controlID,	'N',	'DisplayNames',								'Volume,Current State,Trend,Days to Threshold,30 days,60 days,90 days'),
(@controlID,	'N',	'HorizontalAlignments',						'Left,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N',	'Hyperlinks',								'default.aspx?pg=volumedetail&volume={entity_name},,,,,,'),
(@controlID,	'N',	'Integration.DataType',						'SelectCommand'),
(@controlID,	'N',	'Integration.EnableUtcStartAndEndTimes',	'True'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',		'True'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',		'yyyyMMddHHmm'),
(@controlID,	'N',	'Integration.Parameter.Demo',				'False'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',	'volume_days_to_threshold_used_perc'),
(@controlID,	'N',	'NoDataLabel',								'There is no data during this time period.'),
(@controlID,	'N',	'ShowFilter',								'True'),
(@controlID,	'N',	'SortDirection',							'asc'),
(@controlID,	'N',	'SortField',								'days_to_threshold'),
(@controlID,	'N',	'Title',									'Storage Trend - (Volumes)');


-- Table 'Storage Trend by Volume'
-- (@firstControlID+12
select @controlID := ID from controls where Title = 'Storage Trend by Volume';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID,	'N',	'ColumnWidths',								'20%,16%,5%,16%,16%,16%,16%'),
(@controlID,	'N',	'DisplayColumns',							'entity_name;currentwarning;slopeflag;days_to_threshold;Adaywarning;Bdaywarning;Cdaywarning'),
(@controlID,	'N',	'DisplayFormats',							'string,string,string,float,string,string,string'),
(@controlID,	'N',	'DisplayNames',								'Volume,Current State,Trend,Days to Threshold,30 days,60 days,90 days'),
(@controlID,	'N',	'HorizontalAlignments',						'Left,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N',	'Hyperlinks',								'default.aspx?pg=volumedetail&volume={entity_name},,,,,,'),
(@controlID,	'N',	'Integration.DataType',						'SelectCommand'),
(@controlID,	'N',	'Integration.EnableUtcStartAndEndTimes',	'True'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',		'True'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',		'yyyyMMddHHmm'),
(@controlID,	'N',	'Integration.Parameter.Demo',				'False'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',	'volume_days_to_threshold_used_perc_byvolume'),
(@controlID,	'N',	'NoDataLabel',								'There is no data during this time period.'),
(@controlID,	'N',	'ShowFilter',								'True'),
(@controlID,	'N',	'SortDirection',							'asc'),
(@controlID,	'N',	'SortField',								'days_to_threshold'),
(@controlID,	'N',	'Title',									'Storage Trend - {Volume}');

-- Table 'Storage Trend by LUN'
-- (@firstControlID+13
select @controlID := ID from controls where Title = 'Storage Trend by LUN';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID,	'N',	'ColumnWidths',								'20%,16%,5%,16%,16%,16%,16%'),
(@controlID,	'N',	'DisplayColumns',							'entity_name;currentwarning;slopeflag;days_to_threshold;Adaywarning;Bdaywarning;Cdaywarning'),
(@controlID,	'N',	'DisplayFormats',							'string,string,string,float,string,string,string'),
(@controlID,	'N',	'DisplayNames',								'LUN,Current State,Trend,Days to Live,30 days,60 days,90 days'),
(@controlID,	'N',	'HorizontalAlignments',						'Left,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N',	'Hyperlinks',								'default.aspx?pg=lundetail&lun={entity_name},,,,,,'),
(@controlID,	'N',	'Integration.DataType',						'SelectCommand'),
(@controlID,	'N',	'Integration.EnableUtcStartAndEndTimes',	'True'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',		'True'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',		'yyyyMMddHHmm'),
(@controlID,	'N',	'Integration.Parameter.Demo',				'False'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',	'lun_days_to_threshold_used_perc_bylun'),
(@controlID,	'N',	'NoDataLabel',								'There is no data during this time period.'),
(@controlID,	'N',	'ShowFilter',								'True'),
(@controlID,	'N',	'SortDirection',							'asc'),
(@controlID,	'N',	'SortField',								'days_to_threshold'),
(@controlID,	'N',	'Title',									'Storage Trend - {LUN}');


-- Table 'Aggregate Trends by Storage System'
-- (@firstControlID+15
select @controlID := ID from controls where Title = 'Aggregate Trends by Storage System';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID,	'N',	'ColumnWidths',								'20%,16%,5%,16%,16%,16%,16%'),
(@controlID,	'N',	'DisplayColumns',							'entity_name;currentwarning;slopeflag;days_to_threshold;Adaywarning;Bdaywarning;Cdaywarning'),
(@controlID,	'N',	'DisplayFormats',							'string,string,string,float,string,string,string'),
(@controlID,	'N',	'DisplayNames',								'LUN,Current State,Trend,Days to Threshold,30 days,60 days,90 days'),
(@controlID,	'N',	'HorizontalAlignments',						'Left,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N',	'Hyperlinks',								'default.aspx?pg=aggregatedetail&aggregate={entity_name},,,,,,'),
(@controlID,	'N',	'Integration.DataType',						'SelectCommand'),
(@controlID,	'N',	'Integration.EnableUtcStartAndEndTimes',	'True'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',		'True'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',		'yyyyMMddHHmm'),
(@controlID,	'N',	'Integration.Parameter.Demo',				'False'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',	'aggregate_days_to_thresh_by_storagesys'),
(@controlID,	'N',	'NoDataLabel',								'There is no data during this time period.'),
(@controlID,	'N',	'ShowFilter',								'True'),
(@controlID,	'N',	'SortDirection',							'asc'),
(@controlID,	'N',	'SortField',								'days_to_threshold'),
(@controlID,	'N',	'Title',									'Aggregate Trends - {storagesys}');

-- Table 'Average Latency by LUN'
-- (@firstControlID+16
select @controlID := ID from controls where Title = 'Average Latency by LUN';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ChartType', 							'Line'),
(@controlID, 	'N', 		'ChartYAxisTitleText', 					'ms'),
(@controlID, 	'N', 		'ColumnNames', 							'LUN_AVG_LATENCY'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N', 		'DateTimeFormat', 						'yyyyMMddHHmm'),
(@controlID, 	'N', 		'DisplayNames', 						'Average Latency'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID, 	'N', 		'Title', 								'Average Latency - {lun}'),
(@controlID, 	'N', 		'NoDataLabel', 							'There is no data during this time period.'),
(@controlID, 	'N', 		'Integration.DataType', 				'SelectCommand'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName', 'avg_lun_latency');

-- Table 'Total Operations by LUN'
-- (@firstControlID+17
select @controlID := ID from controls where Title = 'Total Operations by LUN';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ChartType', 							'Line'),
(@controlID, 	'N', 		'ChartYAxisTitleText', 					'Operations/sec'),
(@controlID, 	'N', 		'ColumnNames', 							'lun_readwrite_rate'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N', 		'DateTimeFormat', 						'yyyyMMddHHmm'),
(@controlID, 	'N', 		'DisplayNames', 						'Operations per Second'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID, 	'N', 		'Title', 								'Total Operations - {lun}'),
(@controlID, 	'N', 		'NoDataLabel', 							'There is no data during this time period.'),
(@controlID, 	'N', 		'Integration.DataType', 				'SelectCommand'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName', 'lun_readwrite_rate');

-- Table 'Total Bytes/Sec by LUN'
-- (@firstControlID+18
select @controlID := ID from controls where Title = 'Total Bytes/Sec by LUN';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ChartType', 							'Line'),
(@controlID, 	'N', 		'ChartYAxisTitleText', 					'Bytes/sec'),
(@controlID, 	'N', 		'ColumnNames', 							'LUN_TOTAL_BYTE_RATE'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N', 		'DateTimeFormat', 						'yyyyMMddHHmm'),
(@controlID, 	'N', 		'DisplayNames', 						'Total Bytes/Sec'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID, 	'N', 		'Title', 								'Total Byte Rate - {lun}'),
(@controlID, 	'N', 		'NoDataLabel', 							'There is no data during this time period.'),
(@controlID, 	'N', 		'Integration.DataType', 				'SelectCommand'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName', 'avg_lun_total_byte_rate');


-- Table 'Average Latency by Volume'
-- (@firstControlID+19
select @controlID := ID from controls where Title = 'Average Latency by Volume';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ChartType', 							'Line'),
(@controlID, 	'N', 		'ChartYAxisTitleText', 					'ms'),
(@controlID, 	'N', 		'ColumnNames', 							'VOLUME_AVG_LATENCY'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N', 		'DateTimeFormat', 						'yyyyMMddHHmm'),
(@controlID, 	'N', 		'DisplayNames', 						'Average Latency'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID, 	'N', 		'Title', 								'Average Latency - {volume}'),
(@controlID, 	'N', 		'NoDataLabel', 							'There is no data during this time period.'),
(@controlID, 	'N', 		'Integration.DataType', 				'SelectCommand'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName', 'avg_volume_latency');

-- Table 'Total Operations by Volume'
-- (@firstControlID+20
select @controlID := ID from controls where Title = 'Total Operations by Volume';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ChartType', 							'Line'),
(@controlID, 	'N', 		'ChartYAxisTitleText', 					'Operations/sec'),
(@controlID, 	'N', 		'ColumnNames', 							'VOLUME_READWRITE_RATE'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N', 		'DateTimeFormat', 						'yyyyMMddHHmm'),
(@controlID, 	'N', 		'DisplayNames', 						'Operations per second'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID, 	'N', 		'Title', 								'Total Operations - {volume}'),
(@controlID, 	'N', 		'NoDataLabel', 							'There is no data during this time period.'),
(@controlID, 	'N', 		'Integration.DataType', 				'SelectCommand'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName', 'volume_readwrite_rate');

-- Table 'Total Byte Rate by Volume'
-- (@firstControlID+21
select @controlID := ID from controls where Title = 'Total Byte Rate by Volume';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ChartType', 							'Line'),
(@controlID, 	'N', 		'ChartYAxisTitleText', 					'Bytes/sec'),
(@controlID, 	'N', 		'ColumnNames', 							'VOLUME_TOTAL_BYTE_RATE'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N', 		'DateTimeFormat', 						'yyyyMMddHHmm'),
(@controlID, 	'N', 		'DisplayNames', 						'Bytes/Sec'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID, 	'N', 		'Title', 								'Total Byte Rate - {volume}'),
(@controlID, 	'N', 		'NoDataLabel', 							'There is no data during this time period.'),
(@controlID, 	'N', 		'Integration.DataType', 				'SelectCommand'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName', 'volume_total_byte_rate'); 

-- Table 'Average Latency by Storage System'
-- (@firstControlID+22
select @controlID := ID from controls where Title = 'Average Latency by Storage System';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ChartType', 							'Line'),
(@controlID, 	'N', 		'ChartYAxisTitleText', 					'ms'),
(@controlID, 	'N', 		'ColumnNames', 							'GBL_AVG_LATENCY'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N', 		'DateTimeFormat', 						'yyyyMMddHHmm'),
(@controlID, 	'N', 		'DisplayNames', 						'Average latency'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID, 	'N', 		'Title', 								'Average Latency - {storagesys}'),
(@controlID, 	'N', 		'NoDataLabel', 							'There is no data during this time period.'),
(@controlID, 	'N', 		'Integration.DataType', 				'SelectCommand'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName', 'storagesys_gbl_latency');


-- Table 'Total Byte Rate by Storage System'
-- (@firstControlID+23
select @controlID := ID from controls where Title = 'Total Byte Rate by Storage System';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ChartType', 							'Line'),
(@controlID, 	'N', 		'ChartYAxisTitleText', 					'Bytes/sec'),
(@controlID, 	'N', 		'ColumnNames', 							'GBL_DISK_TOTAL_BYTE_RATE'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N', 		'DateTimeFormat', 						'yyyyMMddHHmm'),
(@controlID, 	'N', 		'DisplayNames', 						'Total Byte Rate'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID, 	'N', 		'Title', 								'Total Byte Rate - {storagesys}'),
(@controlID, 	'N', 		'NoDataLabel', 							'There is no data during this time period.'),
(@controlID, 	'N', 		'Integration.DataType', 				'SelectCommand'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName', 'storagesys_total_byte_rate');

-- Table 'Total Operations by Storage System'
-- (@firstControlID+24
select @controlID := ID from controls where Title = 'Total Operations by Storage System';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ChartType', 							'Line'),
(@controlID, 	'N', 		'ChartYAxisTitleText', 					'Operations/sec'),
(@controlID, 	'N', 		'ColumnNames', 							'GBL_READWRITE_RATE'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N', 		'DateTimeFormat', 						'yyyyMMddHHmm'),
(@controlID, 	'N', 		'DisplayNames', 						'Total Operations'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID, 	'N', 		'Title', 								'Total Operations - {storagesys}'),
(@controlID, 	'N', 		'NoDataLabel', 							'There is no data during this time period.'),
(@controlID, 	'N', 		'Integration.DataType', 				'SelectCommand'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName', 'storagesys_readwrite_rate');

-- Table 'CPU Utilization by Storage System'
-- (@firstControlID+25
select @controlID := ID from controls where Title = 'CPU Utilization by Storage System';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ChartType', 							'Line'),
(@controlID, 	'N', 		'ChartYAxisTitleText', 					'CPU Utilization'),
(@controlID, 	'N', 		'ColumnNames', 							'GBL_CPU_UTIL'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N', 		'DateTimeFormat', 						'yyyyMMddHHmm'),
(@controlID, 	'N', 		'DisplayNames', 						'CPU Utilization'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID, 	'N', 		'Title', 								'CPU Utilization - {storagesys}'),
(@controlID, 	'N', 		'NoDataLabel', 							'There is no data during this time period.'),
(@controlID, 	'N', 		'Integration.DataType', 				'SelectCommand'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName', 'storagesys_gbl_cpu');

-- Table 'TopQueue Length by LUN'
-- (@firstControlID+26
select @controlID := ID from controls where Title = 'Queue Length by LUN';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ChartType', 							'Line'),
(@controlID, 	'N', 		'ChartYAxisTitleText', 					'Queue Length'),
(@controlID, 	'N', 		'ColumnNames', 							'LUN_QUEUE_LENGTH'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N', 		'DateTimeFormat', 						'yyyyMMddHHmm'),
(@controlID, 	'N', 		'DisplayNames', 						'Queue Length'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema', 	'True'),
(@controlID, 	'N', 		'Title', 								'Queue Length - {lun}'),
(@controlID, 	'N', 		'NoDataLabel', 							'There is no data during this time period.'),
(@controlID, 	'N', 		'Integration.DataType', 				'SelectCommand'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName', 'lun_queue_length');

-- Table 'Top Latency by LUN(ms)'
-- (@firstControlID+27
select @controlID := ID from controls where Title = 'Top Latency by LUN(ms)';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ColumnWidths',							'33%,50%'), 
(@controlID, 	'N', 		'DisplayColumns',						'entity_name;util_value'),
(@controlID, 	'N', 		'DisplayFormats',						'string,float'),
(@controlID, 	'N', 		'DisplayNames',							'LUN,Avg. Latency(ms)'),
(@controlID, 	'N', 		'HorizontalAlignments',					'Left,Center'),
(@controlID, 	'N', 		'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes','true'),
(@controlID, 	'N', 		'Hyperlinks', 							'default.aspx?pg=lundetail&lun={ENTITY_NAME},,'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat',	'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.Demo',			'true'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName','top_latency_lun'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema',	'True'),
(@controlID, 	'N', 		'NoDataLabel',							'There is no data during this time period.'),
(@controlID, 	'N', 		'ShowFilter',							'True'),
(@controlID, 	'N', 		'SortDirection',						'desc'),
(@controlID, 	'N', 		'SortField',							'util_value'),
(@controlID, 	'N', 		'Title',								'Top Latency by LUN');

-- Table 'Bottom Latency by LUN(ms)'
-- (@firstControlID+28
select @controlID := ID from controls where Title = 'Bottom Latency by LUN(ms)';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ColumnWidths',							'33%,50%'), 
(@controlID, 	'N', 		'DisplayColumns',						'entity_name;util_value'),
(@controlID, 	'N', 		'DisplayFormats',						'string,float'),
(@controlID, 	'N', 		'DisplayNames',							'LUN,Avg. Latency(ms)'),
(@controlID, 	'N', 		'HorizontalAlignments',					'Left,Center'),
(@controlID, 	'N', 		'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes','true'),
(@controlID, 	'N', 		'Hyperlinks', 							'default.aspx?pg=lundetail&lun={ENTITY_NAME},,'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat',	'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.Demo',			'true'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName','bottom_latency_lun'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema',	'True'),
(@controlID, 	'N', 		'NoDataLabel',							'There is no data during this time period.'),
(@controlID, 	'N', 		'ShowFilter',							'True'),
(@controlID, 	'N', 		'SortDirection',						'Asc'),
(@controlID, 	'N', 		'SortField',							'util_value'),
(@controlID, 	'N', 		'Title',								'Bottom Latency by LUN');

-- Table 'Top Latency by Volume(ms)'
-- (@firstControlID+29
select @controlID := ID from controls where Title = 'Top Latency by Volume(ms)';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ColumnWidths',							'33%,50%'), 
(@controlID, 	'N', 		'DisplayColumns',						'entity_name;util_value'),
(@controlID, 	'N', 		'DisplayFormats',						'string,float'),
(@controlID, 	'N', 		'DisplayNames',							'Volume,Avg. Latency(ms)'),
(@controlID, 	'N', 		'HorizontalAlignments',					'Left,Center'),
(@controlID, 	'N', 		'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes','true'),
(@controlID, 	'N', 		'Hyperlinks', 							'default.aspx?pg=Volumedetail&Volume={ENTITY_NAME},,'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat',	'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.Demo',			'true'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName','top_latency_volume'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema',	'True'),
(@controlID, 	'N', 		'NoDataLabel',							'There is no data during this time period.'),
(@controlID, 	'N', 		'ShowFilter',							'True'),
(@controlID, 	'N', 		'SortDirection',						'desc'),
(@controlID, 	'N', 		'SortField',							'util_value'),
(@controlID, 	'N', 		'Title',								'Top Latency by Volume');

-- Table 'Bottom Latency by Volume(ms)'
-- (@firstControlID+30
select @controlID := ID from controls where Title = 'Bottom Latency by Volume(ms)';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 		'ColumnWidths',							'33%,50%'), 
(@controlID, 	'N', 		'DisplayColumns',						'entity_name;util_value'),
(@controlID, 	'N', 		'DisplayFormats',						'string,float'),
(@controlID, 	'N', 		'DisplayNames',							'Volume,Avg. Latency(ms)'),
(@controlID, 	'N', 		'HorizontalAlignments',					'Left,Center'),
(@controlID, 	'N', 		'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes','true'),
(@controlID, 	'N', 		'Hyperlinks', 							'default.aspx?pg=Volumedetail&Volume={ENTITY_NAME},,'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat',	'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Integration.Parameter.Demo',			'true'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName','bottom_latency_volume'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema',	'True'),
(@controlID, 	'N', 		'NoDataLabel',							'There is no data during this time period.'),
(@controlID, 	'N', 		'ShowFilter',							'True'),
(@controlID, 	'N', 		'SortDirection',						'Asc'),
(@controlID, 	'N', 		'SortField',							'util_value'),
(@controlID, 	'N', 		'Title',								'Bottom Latency by Volume');

-- Table 'Volume Trends by Storage System'
-- (@firstControlID+31
select @controlID := ID from controls where Title = 'Volume Trends by Storage System';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID,	'N',	'ColumnWidths',								'20%,16%,5%,16%,16%,16%,16%'),
(@controlID,	'N',	'DisplayColumns',							'entity_name;currentwarning;slopeflag;days_to_threshold;Adaywarning;Bdaywarning;Cdaywarning'),
(@controlID,	'N',	'DisplayFormats',							'string,string,string,float,string,string,string'),
(@controlID,	'N',	'DisplayNames',								'Volume,Current State,Trend,Days to Threshold,30 days,60 days,90 days'),
(@controlID,	'N',	'HorizontalAlignments',						'Left,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N',	'Hyperlinks',								'default.aspx?pg=lundetail&lun={entity_name},,,,,,'),
(@controlID,	'N',	'Integration.DataType',						'SelectCommand'),
(@controlID,	'N',	'Integration.EnableUtcStartAndEndTimes',	'True'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',		'True'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',		'yyyyMMddHHmm'),
(@controlID,	'N',	'Integration.Parameter.Demo',				'False'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',	'volume_days_to_thresh_by_storagesys'),
(@controlID,	'N',	'NoDataLabel',								'There is no data during this time period.'),
(@controlID,	'N',	'ShowFilter',								'True'),
(@controlID,	'N',	'SortDirection',							'asc'),
(@controlID,	'N',	'SortField',								'days_to_threshold'),
(@controlID,	'N',	'Title',									'Volume Trends - {storagesys}');


-- Table 'LUN Trends by Storage System'
-- (@firstControlID+32
select @controlID := ID from controls where Title = 'LUN Trends by Storage System';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID,	'N',	'ColumnWidths',								'20%,16%,5%,16%,16%,16%,16%'),
(@controlID,	'N',	'DisplayColumns',							'entity_name;currentwarning;slopeflag;days_to_threshold;Adaywarning;Bdaywarning;Cdaywarning'),
(@controlID,	'N',	'DisplayFormats',							'string,string,string,float,string,string,string'),
(@controlID,	'N',	'DisplayNames',								'LUN,Current State,Trend,Days to Threshold,30 days,60 days,90 days'),
(@controlID,	'N',	'HorizontalAlignments',						'Left,Center,Center,Center,Center,Center,Center'),
(@controlID,	'N',	'Hyperlinks',								'default.aspx?pg=volumedetail&volume={entity_name},,,,,,'),
(@controlID,	'N',	'Integration.DataType',						'SelectCommand'),
(@controlID,	'N',	'Integration.EnableUtcStartAndEndTimes',	'True'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',		'True'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',		'yyyyMMddHHmm'),
(@controlID,	'N',	'Integration.Parameter.Demo',				'False'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',	'lun_days_to_thresh_by_storagesys'),
(@controlID,	'N',	'NoDataLabel',								'There is no data during this time period.'),
(@controlID,	'N',	'ShowFilter',								'True'),
(@controlID,	'N',	'SortDirection',							'asc'),
(@controlID,	'N',	'SortField',								'days_to_threshold'),
(@controlID,	'N',	'Title',									'LUN Trends - {storagesys}');


-- Table 'LUN List by Volume'
-- (@firstControlID+33
select @controlID := ID from controls where Title = 'LUN List by Volume';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N', 	'Integration.Parameter.Demo', 				'False'),
(@controlID, 	'N', 	'Integration.Parameter.UseXmlSchema', 		'True'),
(@controlID, 	'N', 	'ColumnWidths', 							'15%,15%,10%,10%,15%,15%,15%'),
(@controlID, 	'N', 	'DisplayColumns', 							'entity_name;filer;volume;total;used;available;used_perc'),
(@controlID, 	'N', 	'DisplayNames', 							'LUN,Storage System,Volume,Total Storage(GB),Used Storage(GB),Available Storage(GB),GB Used(%)'),
(@controlID, 	'N', 	'Integration.EnableUtcStartAndEndTimes', 	'True'),
(@controlID, 	'N', 	'DisplayFormats', 							'string,string,string,float,float,float,float'),
(@controlID, 	'N', 	'HorizontalAlignments', 					'Left,Center,Center,Center,Center,Center,Center'),
(@controlID, 	'N', 	'NoDataLabel', 								'There is no data during this time period.'),
(@controlID, 	'N', 	'Integration.Parameter.DateTimeFormat', 	'yyyyMMddHHmm'),
(@controlID, 	'N', 	'Hyperlinks', 								'default.aspx?pg=lundetail&lun={ENTITY_NAME},,,,,,'),
(@controlID, 	'N', 	'ShowFilter', 								'True'),
(@controlID, 	'N', 	'SortDirection', 							'Desc'),
(@controlID, 	'N', 	'SortField', 								'entity_name'),
(@controlID, 	'N', 	'Title', 									'LUNs - {volume}'),
(@controlID, 	'N', 	'Integration.DataType', 					'SelectCommand'),
(@controlID, 	'N', 	'Integration.Parameter.SelectCommandName', 'lunlistbyvolume'); 

 -- Table 'LUN Trend All'
-- (@firstControlID+34
select @controlID := ID from controls where Title = 'LUN Trend All';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 'N', 'ChartType', 'Line'),
(@controlID, 'N', 'ChartYAxisTitleText', 'GB'),
(@controlID, 'N', 'ColumnNames', 'UTIL_VALUE,TRENDED_VALUE,THRESHOLD,WARNING'),
-- (@controlID, 'N', 'ChartYAxisMax', '100'),
(@controlID, 'N', 'ChartYAxisMin', '0'),
(@controlID, 'N', 'Integration.EnableUtcStartAndEndTimes', 'True'),  
(@controlID, 'N', 'DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 'N', 'ChartFooterText', 'LUN Usage)'),
(@controlID, 'N', 'DisplayNames', 'GB Used,Trend,Max Available,95% of Max'),
(@controlID, 'N', 'Integration.Parameter.UseXmlSchema', 'True'),
(@controlID, 'N', 'Title', 'LUN Trend All'),
(@controlID, 'N', 'NoDataLabel', 'There is no data during this time period. <p>Do you have the right group selected?'),
(@controlID, 'N', 'Integration.DataType', 'SelectCommand'),
(@controlID, 'N', 'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 'N', 'Integration.Parameter.SelectCommandName', 'luntrendall'),
(@controlID, 'N', 'ChartDataSeries1FillColor', '#3333FF'),
(@controlID, 'N', 'ChartDataSeries2FillColor', '#CCCCCC');
-- (@controlID, 'N', 'ChartDataSeries3FillColor', '#1188BB'),
-- (@controlID, 'N', 'ChartDataSeries4FillColor', '#110000');

-- Table 'LUN Allocation Report (Stacked Bar)'
-- (@firstControlID+35
select @controlID := ID from controls where Title = 'LUN Allocation Report (Stacked Bar)';
REPLACE INTO control_properties 
(ControlID,  	Editable,	PropertyName, 											PropertyValue) VALUES
(@controlID, 	'N',		'BarColors', 											'#3366BB,#BBBBBB'), -- Blue, Gray
(@controlID, 	'N',		'BarLegendText', 										'GB Used, Available GB'),
(@controlID, 	'N', 		'Integration.Parameter.Demo', 					   		'False'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema', 			   		'True'),
(@controlID, 	'N', 		'ColumnWidths', 								 	 	',,,,,,,'),
(@controlID, 	'N', 		'DisplayColumns',								  		'entity_name;prev;dtt;dtt_stddev;sparkline;Max_Gb_Used,Max_Gb_Avail;max_gb_used;max_gb_avail'),
(@controlID, 	'N', 		'DisplayNames',									  		'LUN,Growth,Days to Live,stddev,Sparkline,Usage,Max GB Used,GB Remaining'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes', 				'True'),
(@controlID, 	'N', 		'DisplayFormats', 								   		'string,string,double,double,string,bar,float,float'),
(@controlID, 	'N', 		'HorizontalAlignments', 						   		'Left,Center,Center,Center,Left,Left,Left,Left'),
(@controlID, 	'N',		'NoDataLabel', 											'Looks like there were no LUN upgrades done in this time window.<p>Have you selected the right group?'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat',			 		'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Hyperlinks', 									 		'default.aspx?pg=lundetail&lun={ENTITY_NAME},,,,'),
(@controlID, 	'N',		'ToolTips',												',,,,,Usage:{tt_util_value},,'),
-- (@controlID, 'N',		'SortColumns', 											','),  -- disables sorting (can still click but it does nothing)
(@controlID, 	'N', 		'ShowFilter', 									   		'True'),
(@controlID, 	'N', 		'SortDirection', 										'desc'),
(@controlID, 	'N', 		'SortField', 									  		'Max_GB_avail'),
(@controlID, 	'N', 		'Title', 										   		'LUN usage'),
(@controlID, 	'N', 		'Integration.DataType', 						 		'SelectCommand'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName', 		 		'stacked_LUN_allocation');

-- Table 'LUN Trend per LUN'
-- (@firstControlID+36
select @controlID := ID from controls where Title = 'LUN Trend GB Used';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 'N', 'ChartType', 'Line'),
(@controlID, 'N', 'ChartYAxisTitleText', 'GB'),
(@controlID, 'N', 'ColumnNames', 'UTIL_VALUE,TRENDED_VALUE,THRESHOLD,WARNING'),
-- (@controlID, 'N', 'ChartYAxisMax', '100'),
(@controlID, 'N', 'ChartYAxisMin', '0'),
(@controlID, 'N', 'Integration.EnableUtcStartAndEndTimes', 'True'),  
(@controlID, 'N', 'DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 'N', 'ChartFooterText', 'LUN Usage)'),
(@controlID, 'N', 'DisplayNames', 'GB Used,Trend,Max Available,95% of Max'),
(@controlID, 'N', 'Integration.Parameter.UseXmlSchema', 'True'),
(@controlID, 'N', 'Title', 'LUN Trend GB Used'),
(@controlID, 'N', 'NoDataLabel', 'There is no data during this time period. <p>Do you have the right group selected?'),
(@controlID, 'N', 'Integration.DataType', 'SelectCommand'),
(@controlID, 'N', 'Integration.Parameter.DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 'N', 'Integration.Parameter.SelectCommandName', 'luntrend_GB_bylun'),
(@controlID, 'N', 'ChartDataSeries1FillColor', '#3333FF'),
(@controlID, 'N', 'ChartDataSeries2FillColor', '#CCCCCC');
-- (@controlID, 'N', 'ChartDataSeries3FillColor', '#1188BB'),
-- (@controlID, 'N', 'ChartDataSeries4FillColor', '#110000');

-- Table 'All LUN Upgrade Paths'
-- (@firstControlID+37
select @controlID := ID from controls where Title = 'LUN Upgrade History (group)';
REPLACE INTO control_properties 
(ControlID,  	Editable,	PropertyName, 											PropertyValue) VALUES
(@controlID, 	'N', 		'Integration.Parameter.Demo', 					   		'False'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema', 			   		'True'),
(@controlID, 	'N', 		'ColumnWidths', 								 	 	',,'),
(@controlID, 	'N', 		'DisplayColumns',								  		'datestamp;Entity_Name;text'),
(@controlID, 	'N', 		'DisplayNames',									  		'date,LUN,Upgrade Description'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes', 				'True'),
(@controlID, 	'N', 		'DisplayFormats', 								   		'string,string,string'),
(@controlID, 	'N', 		'HorizontalAlignments', 						   		'Left,Left,Left'),
(@controlID, 	'N',		'NoDataLabel', 											'No LUN upgrade history was found in this time window. <p>Have you selected the right group?'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat',			 		'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Hyperlinks', 									 		',default.aspx?pg=lundetail&lun={ENTITY_NAME},'),
-- (@controlID, 'N',		'SortColumns', 											','),  -- disables sorting (can still click but it does nothing)
(@controlID, 	'N', 		'ShowFilter', 									   		'True'),
(@controlID, 	'N', 		'SortDirection', 										'desc'),
(@controlID, 	'N', 		'SortField', 									  		'datestamp'),
(@controlID, 	'N', 		'Title', 										   		'LUN upgrade history'),
(@controlID, 	'N', 		'Integration.DataType', 						 		'SelectCommand'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName', 		 		'upgrade_LUNs');

-- Table 'LUN Upgrade History'
-- (@firstControlID+38
select @controlID := ID from controls where Title = 'LUN Upgrade History';
REPLACE INTO control_properties 
(ControlID,  	Editable,	PropertyName, 											PropertyValue) VALUES
(@controlID, 	'N', 		'Integration.Parameter.Demo', 					   		'False'),
(@controlID, 	'N', 		'Integration.Parameter.UseXmlSchema', 			   		'True'),
(@controlID, 	'N', 		'ColumnWidths', 								 	 	',,'),
(@controlID, 	'N', 		'DisplayColumns',								  		'datestamp;Entity_Name;text'),
(@controlID, 	'N', 		'DisplayNames',									  		'date,LUN,Upgrade Description'),
(@controlID, 	'N', 		'Integration.EnableUtcStartAndEndTimes', 				'True'),
(@controlID, 	'N', 		'DisplayFormats', 								   		'string,string,string'),
(@controlID, 	'N', 		'HorizontalAlignments', 						   		'Left,Left,Left'),
(@controlID, 	'N',		'NoDataLabel', 											'No LUN upgrade history was found in this time window.'),
(@controlID, 	'N', 		'Integration.Parameter.DateTimeFormat',			 		'yyyyMMddHHmm'),
(@controlID, 	'N', 		'Hyperlinks', 									 		',default.aspx?pg=lundetail&lun={ENTITY_NAME},'),
-- (@controlID, 'N',		'SortColumns', 											','),  -- disables sorting (can still click but it does nothing)
(@controlID, 	'N', 		'ShowFilter', 									   		'True'),
(@controlID, 	'N', 		'SortDirection', 										'desc'),
(@controlID, 	'N', 		'SortField', 									  		'datestamp'),
(@controlID, 	'N', 		'Title', 										   		'LUN upgrade history'),
(@controlID, 	'N', 		'Integration.DataType', 						 		'SelectCommand'),
(@controlID, 	'N', 		'Integration.Parameter.SelectCommandName', 		 		'LUN_upgrade_hist');

-- ------------------------- --
-- Page Setup		         --
-- ------------------------- --
-- 

-- Menus entries created in pairs:
--	 first matches contextID
--	 second matches PageID
REPLACE INTO Menus 
(MenuID, 		 ParentID, 		PageID, 				Name, 													UserID, Rank, UserLevel, RoleBased, ContainerType, MenuType, MenuValue) VALUES
(@firstMenuID, 	 3, 			0, 						'Storage System Details', 									0, 	 	0,    7, 		 'N',			4, 			   0, 		 ''), 
(@firstMenuID+1, @firstMenuID, 	@firstMenuID+1, 		'', 														0, 	 	0,    7, 		 'N',			0,			   1, 		 ''),
(@firstMenuID+2, 3, 			0, 						'Aggregate Details', 										0, 	 	0,    7, 		 'N',			4, 			   0, 		 ''), 
(@firstMenuID+3, @firstMenuID+2, @firstMenuID+3, 		'', 														0, 	 	0,    7, 		 'N',			0,			   1, 		 ''),
(@firstMenuID+4, 	 3, 			0, 					'Volume Details',											0, 	 	0,    7, 		 'N',			4, 			   0, 		 ''), 
(@firstMenuID+5, @firstMenuID+4, 	@firstMenuID+5, 		'', 													0, 	 	0,    7, 		 'N',			0,			   1, 		 ''),
(@firstMenuID+6, 	 3, 			0, 					'LUN Details',												0, 	 	0,    7, 		 'N',			4, 			   0, 		 ''), 
(@firstMenuID+7, @firstMenuID+6, 	@firstMenuID+7, 		'', 													0, 	 	0,    7, 		 'N',			0,			   1, 		 '');



-- 	 Context_map entries:
--	 contextID matches corresponding first entry in Menus
--	 multiple RequiredVariables have , separator
REPLACE INTO context_map 
(ContextID,			ContextName,					Title, 											RequiredVariables, 					Editable) VALUES
(@firstMenuID,		'storagesysdetail',				'Storage System Details',						'storagesys',		 				   	'N'),
(@firstMenuID+2,	'aggregatedetail',				'Aggregate Details',							'aggregate',		 			  	 	'N'),
(@firstMenuID+4,	'volumedetail',					'Volume Details',								'volume',  								'N'),
(@firstMenuID+6,	'lundetail',					'LUN Details',									'lun',  								'N'); 



-- 	  	PageInfo entries:
--	 	Match the page to the context:
--	 	PageID matches corresponding second entry in Menus
--	  	PageType matches ContextName in Context_Map
REPLACE INTO pageinfo 
(PageID,		 		MenuTitle,													PageTitle, 										PageType, 		Timeframe, GroupID, UserID, UserLevel, NavigateUrl, Removable) VALUES
(@firstMenuID+1, 	'Storage System Details', 									'Storage System Details', 						'storagesysdetail', 2,		   0,		0,	  	7,		   '',		  'N'),
(@firstMenuID+3, 	'Aggregate Details', 										'Aggregate Details', 							'aggregatedetail', 	2,		   0,		0,	  	7,		   '',		  'N'),  
(@firstMenuID+5, 	'Volume Details', 											'Volume Details', 								'volumedetail',		2,		   0,		0,	  	7,		   '',		  'N'),
(@firstMenuID+7, 	'LUN Details', 												'LUN Details', 									'lundetail',		2,		   0,		0,	  	7,		   '',		  'N');



-- 	 PageLayout entries:
--	 define which controls reside in which panes.
--	 In this case, do use a DELETE / INSERT otherwise it is only ever cumulative...
DELETE FROM pagelayout where pageID between @firstMenuID and @firstMenuID+29;

--	 Add a comment header per page, Add a comment for the Control Title
-- 	 NOTE: control_properties.PaneID: HEAD=1, COL1=2, COL2=3, FOOT=5
INSERT INTO pagelayout 
(PageId, 			ControlId, 					PaneId, Row, UserId) VALUES
-- Storage System Details - storagesysdetail+1 
(@firstMenuID+1,	@firstControlID+2, 			 1, 1, 0), -- Aggregate list by Storage System  
(@firstMenuID+1,	@firstControlID+4,  		 1, 2, 0), -- Volume list by Storage System  
(@firstMenuID+1,	@firstControlID+7,  		 1, 3, 0), -- LUN list by Storage System 
(@firstMenuID+1,	@firstControlID+15,  		 1, 4, 0), -- Aggregate Trends by Storage System
(@firstMenuID+1,	@firstControlID+31,  		 1, 5, 0), -- Volume Trends by Storage System
(@firstMenuID+1,	@firstControlID+15,  		 1, 6, 0), -- Aggregate Trends by Storage System
(@firstMenuID+1,	@firstControlID+22,  		 1, 7, 0), -- Average Latency by Storage System
(@firstMenuID+1,	@firstControlID+23,  		 1, 8, 0), -- Total Bytes by Storage System
(@firstMenuID+1,	@firstControlID+24,  		 1, 9, 0), -- Total Operations by Storage System
(@firstMenuID+1,	@firstControlID+25,  		 1, 10, 0), -- CPU Utilization 
	 

-- Aggregate Details - aggregatedetail+3
(@firstMenuID+3,	@firstControlID+8,		 1, 1, 0),  -- LUN list by Aggregate
(@firstMenuID+3,	@firstControlID+5,		 1, 1, 0),  -- LUN list by Aggregate
(@firstMenuID+3,	@firstControlID+10,		 1, 2, 0),  -- Storage Trend by Aggregate



-- Volume Details - volumedetail+5
(@firstMenuID+5, 	@firstControlID+12, 	1,		1, 	 0), -- Storage Days to Threshold - Individual Volume 
(@firstMenuID+5, 	@firstControlID+8, 		1,		2, 	 0), -- LUN List by Volume
(@firstMenuID+5, 	@firstControlID+19, 	1,		3, 	 0), -- Volume Latency
(@firstMenuID+5, 	@firstControlID+104, 	2,		4, 	 0), -- Volume Read/Write Rate
(@firstMenuID+5, 	@firstControlID+105, 	3,		4, 	 0), -- Volume Total Byte Rate
(@firstMenuID+5, 	@firstControlID+51, 	2,		5, 	 0), -- Cluster CPU Capacity by Cluster
(@firstMenuID+5, 	@firstControlID+52, 	3,		5, 	 0), -- Cluster Memory Capacity by Cluster
(@firstMenuID+5, 	@firstControlID+107, 	5,		6, 	 0), -- Datastore Usage {ESXCLUSTER}

-- LUN Details - lundetail+7
(@firstMenuID+7, 	@firstControlID+13,	 	1,		1, 	 0), -- Storage Days to Threshold - Individual LUN
(@firstMenuID+7, 	@firstControlID+36,	 	2,		1, 	 0), -- LUN trend
(@firstMenuID+7, 	@firstControlID+38,	 	3,		1, 	 0), -- LUN upgrade history
(@firstMenuID+7, 	@firstControlID+16,	 	2,		2, 	 0), -- LUN_AVG_LATENCY 
(@firstMenuID+7, 	@firstControlID+26,	 	3,		2, 	 0), -- LUN_ Reponse Rate
(@firstMenuID+7, 	@firstControlID+26,	 	2,		3, 	 0), -- LUN_ Queue Length
(@firstMenuID+7, 	@firstControlID+18,	 	3,		3, 	 0); -- LUN Total Byte Rate

-- Page_Properties:
--	 Can use this to utilize HideGroupSelection, HideChange, and optionally HideTimeNav, for defined pages if don't want to use NPC Grouping features
-- DELETE FROM page_properties 
--	WHERE pageId between @firstMenuID and @firstMenuID+29
--	AND PropertyName in ('HideGroupSelection','HideChange','HideTimeNav');  

-- Insert into page_properties 
-- (PageID,			UserID,	PropertyName,			PropertyType, PropertyValue, Editable, Enabled) VALUES
-- (@firstMenuID+1, 	0, 		'HideTimeNav', 			'string', 	  'false',		 '',	   'Y'),
-- (@firstMenuID+1, 	0,		'HideGroupSelection', 	'string',	  'true',		 '',	   'Y'),
-- (@firstMenuID+1, 	0,		'HideChange', 			'string',	  'true',		 '',	   'Y'),
-- (@firstMenuID+3, 	0, 		'HideTimeNav', 			'string', 	  'false',		 '',	   'Y'),
-- (@firstMenuID+3, 	0,		'HideGroupSelection', 	'string',	  'true',		 '',	   'Y'),
-- (@firstMenuID+3, 	0,		'HideChange', 			'string',	  'true',		 '',	   'Y');

-- END Page Properties 
insert into revision_info (Version,InstallDate,Description) VALUES ('1.5',NOW(),'Storage Report Pack');


-- END CCR 1.5 Storage Report Pack 